import Phaser from 'phaser'
import CinematicScreen from '../cinematic-screen'

export default class Intro1 extends CinematicScreen {
    constructor(game, parent, name) {
        super(game, parent, name);

        this.create();
    }

    create() {
        this.bg = game.add.sprite(480, 320, 'outro_1_bg');
        this.nina = game.add.sprite(480, 320, 'outro_1_nina');

        this.bg.anchor.setTo(0.5);
        this.nina.anchor.setTo(0.5);

        this.add(this.bg);
        this.add(this.nina);
    }

    appearAnimation() {
        this.game.add.tween(this.nina).to({x: "+300", y: "+100"}, 2900, Phaser.Easing.Sinusoidal.InOut, true);
    }
}
